aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authors-ol <s-ol@users.noreply.github.com>2020-04-17 15:04:52 +0000
committers-ol <s-ol@users.noreply.github.com>2020-04-17 15:04:52 +0000
commit8a7e35508fc3fabe85086b0ac0c777f1ed054e29 (patch)
tree8567df4436dcfef16136a330fdb70c352a9d571e
parentadd some windows dist pieces (diff)
downloadalive-8a7e35508fc3fabe85086b0ac0c777f1ed054e29.tar.gz
alive-8a7e35508fc3fabe85086b0ac0c777f1ed054e29.zip
more distribution wip
-rwxr-xr-xdist/pack-win.sh (renamed from dist/build-win.sh)14
-rwxr-xr-xdist/pack.sh13
-rwxr-xr-xdist/release.sh4
-rw-r--r--dist/rocks/alive-scm-1.rockspec (renamed from dist/rockspecs/alive-scm-1.rockspec)0
4 files changed, 24 insertions, 7 deletions
diff --git a/dist/build-win.sh b/dist/pack-win.sh
index bfa5de0..f0f9ae2 100755
--- a/dist/build-win.sh
+++ b/dist/pack-win.sh
@@ -10,13 +10,15 @@ if [ -d "dist/$BUNDLE.zip" ]; then
exit 2
fi
+# luarocks --tree lua/lua install --deps-mode none ../../alive-scm-1.all.rock
+
git archive "$VERSION:" -o "dist/$BUNDLE.zip" --prefix "$BUNDLE/alive/"
cd dist
unzip "$BUNDLE.zip"
cd "$BUNDLE"
-cp -r ../docs .
+cp -r ../../docs .
mv alive/hello.alv .
rm -rf docs/*.md docs/*.ltp docs/gen
rm -rf alive/dist
@@ -32,7 +34,7 @@ moon %~dp0\alive\init.moon %*
exit /b %ERRORLEVEL%
EOF
-cat <<EOF >README.txt
+cat <<EOF >README.md
alivecoding $VERSION
====================
@@ -42,13 +44,13 @@ https://github.com/s-ol/alivecoding
License
-------
alive is licensed under the GPLv3 free and open-source license, a copy of which
-you can find in the file `alive/LICENSE`.
+you can find in the file \`alive/LICENSE\`.
This binary distribution of alive contains the Lua interpreter, LuaRocks package
manager, and a number of Lua modules licensed under various terms. Lua and
LuaRocks are both licensed under the MIT license, while the packages can be
-found within the `lua/lua` directory while their individual licensing
-information may be viewed using `luarocks.bat`:
+found within the \`lua/lua\` directory while their individual licensing
+information may be viewed using \`luarocks.bat\`:
cmd.exe> luarocks.bat list
cmd.exe> luarocks.bat show moonscript
@@ -57,4 +59,4 @@ EOF
cd ..
rm "$BUNDLE.zip"
-zip -rm "$BUNDLE.zip" "$BUNDLE"
+# zip -rm "$BUNDLE.zip" "$BUNDLE"
diff --git a/dist/pack.sh b/dist/pack.sh
new file mode 100755
index 0000000..b76f2d6
--- /dev/null
+++ b/dist/pack.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+VERSION="$1"
+REVISION="${2:-1}"
+
+VERSION="${VERSION#v}"
+VERSION=$(echo "$VERSION" | tr -d -)
+
+luarocks build "dist/rocks/alive-$VERSION-$REVISION.rockspec" \
+ --pack-binary-rock \
+ --sign \
+ --pin
diff --git a/dist/release.sh b/dist/release.sh
index e7b6923..1aaa978 100755
--- a/dist/release.sh
+++ b/dist/release.sh
@@ -1,4 +1,6 @@
#!/bin/sh
+set -e
+
VERSION="${1:-scm}"
REVISION="${2:-1}"
@@ -40,7 +42,7 @@ list_modules() {
' sh {} \;
}
-cat <<STOP >"dist/rockspecs/alive-$VERSION-$REVISION.rockspec"
+cat <<STOP >"dist/rocks/alive-$VERSION-$REVISION.rockspec"
package = "alive"
version = "$VERSION-$REVISION"
diff --git a/dist/rockspecs/alive-scm-1.rockspec b/dist/rocks/alive-scm-1.rockspec
index a416842..a416842 100644
--- a/dist/rockspecs/alive-scm-1.rockspec
+++ b/dist/rocks/alive-scm-1.rockspec